import 'package:flutter/material.dart';
{{#enable_router}}import 'package:go_router/go_router.dart';
import 'package:{{project_name.snakeCase()}}/core/resources/app_router.dart';{{/enable_router}}
{{^enable_router}}import 'package:{{project_name.snakeCase()}}/presentation/pages/counter/counter_page.dart';{{/enable_router}}
{{#enable_l10n}}import 'package:{{project_name.snakeCase()}}/core/extensions/app_localizations_x.dart';{{/enable_l10n}}

class InitialPage extends StatelessWidget {
  const InitialPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          const Center(child: Text('{{project_name.titleCase()}}'),),
          Center(child: ElevatedButton(
            {{#enable_router}}onPressed: () => context.goNamed(AppRouter.counter),{{/enable_router}}
            {{^enable_router}}onPressed: () => Navigator.of(context).push(MaterialPageRoute(builder: (context) => CounterPage())),{{/enable_router}}
            {{#enable_l10n}}child: Text(context.l10n.goToCounter),{{/enable_l10n}}
            {{^enable_l10n}}child: Text('Go to counter'),{{/enable_l10n}}
          ),)
        ],
      ),
    );
  }
}
